from setuptools import setup

setup(name='pg-replicate-elastic',
      version='1.0.3',
      description='Replication PostreSQL to Elasticsearch via Logical replication slots',
      url='https://git.krakensystems.co/KrakenSystems/pg-replicate-elastic',
      keywords = ['postgresql', 'elasticsearch', 'replication'],
      classifiers = [],
      author='Hrvoje Milkovic',
      author_email='hrvoje@krakensystems.co',
      license='MIT',
      packages=['pg_elastic'],
      long_description=open('README.md').read(),
      long_description_content_type='text/markdown',
      install_requires=[
          'docopt==0.6.2',
          'elasticsearch==6.1.1',
          'et-xmlfile==1.0.1',
          'jdcal==1.3',
          'odfpy==1.3.6',
          'openpyxl==2.5.0',
          'psycopg2==2.7.4',
          'psycopg2-binary==2.7.4',
          'python-dateutil==2.6.1',
          'PyYAML==3.12',
          'records==0.5.2',
          'six==1.11.0',
          'SQLAlchemy==1.2.2',
          'tablib==0.12.1',
          'unicodecsv==0.14.1',
          'urllib3==1.22',
          'xlrd==1.1.0',
          'xlwt==1.3.0'
      ],
      scripts=['pg_replicate_elastic'],
      zip_safe=False)
